### Hierarchy

- RichNum

## Index

### Constructors

- constructor

### Properties

- _usage
- _value
- ZERO

### Accessors

- isFillParent
- isNumber
- isPercentOfParent
- value
- valueOfPercent

### Methods

- resolveWithFill

## Constructors

### constructor

- new RichNum(_value: number, _usage?: RichNumUsage): RichNum

- - Defined in print/PrintForm.ts:1180

  #### Parameters

  - ##### _value: number

  - ##### Default value _usage: RichNumUsage = RichNumUsage.Absolute

  #### Returns RichNum

## Properties

### Private _usage

_usage: RichNumUsage

- Defined in print/PrintForm.ts:1181

### Private _value

_value: number

- Defined in print/PrintForm.ts:1181

### Static ZERO

ZERO: RichNum = new RichNum(0)

- Defined in print/PrintForm.ts:1180

## Accessors

### isFillParent

- get isFillParent(): boolean

- - Defined in print/PrintForm.ts:1197

  #### Returns boolean

### isNumber

- get isNumber(): boolean

- - Defined in print/PrintForm.ts:1194

  #### Returns boolean

### isPercentOfParent

- get isPercentOfParent(): boolean

- - Defined in print/PrintForm.ts:1200

  #### Returns boolean

### value

- get value(): number

- - Defined in print/PrintForm.ts:1182

  #### Returns number

### valueOfPercent

- get valueOfPercent(): number

- - Defined in print/PrintForm.ts:1188

  #### Returns number

## Methods

### resolveWithFill

- resolveWithFill(n: number): number

- - Defined in print/PrintForm.ts:1203

  #### Parameters

  - ##### n: number

  #### Returns number

Generated using TypeDoc